Package org.openni

# Class VideoMode

java.lang.Object
org.openni.VideoMode

public class VideoMode extends Object

Encapsulates a group of settings for a `VideoStream`. Settings stored include frame rate, resolution, and pixel format.

This class is used as an input for changing the settings of a `VideoStream`, as well as an output for reporting the current settings of that class. It is also used by `SensorInfo` to report available video modes of a stream.

Recommended practice is to use `SensorInfo.getSupportedVideoModes()` to obtain a list of valid video modes, and then to use items from that list to pass new settings to `VideoStream`. This is much less likely to produce an invalid video mode than instantiating and manually changing objects of this class.

## Constructor Summary

Constructors
Constructor
Description
`VideoMode()`
Default constructor, creates an empty VideoMode object.
`VideoMode(int resX, int resY, int fps, int pixelFormat)`

## Method Summary

Modifier and Type
Method
Description
`int`
`getFps()`
Getter function for the frame rate of this VideoMode.
`PixelFormat`
`getPixelFormat()`
Getter function for the pixel format of this VideoMode.
`int`
`getResolutionX()`
Getter function for the X resolution of this VideoMode.
`int`
`getResolutionY()`
Getter function for the Y resolution of this VideoMode.
`void`
`setFps(int fps)`
Setter function for the frame rate.
`void`
`setPixelFormat(PixelFormat format)`
Setter function for the pixel format of this VideoMode.
`void`
`setResolution(int resolutionX, int resolutionY)`
Setter function for the resolution of this VideoMode.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VideoMode

public VideoMode()
Default constructor, creates an empty VideoMode object. Application programs should, in most cases, use the copy constructor to copy an existing valid video mode. This is much less error prone that creating and attempting to configure a new VideoMode from scratch.

### VideoMode

public VideoMode(int resX, int resY, int fps, int pixelFormat)

## Method Details

### getPixelFormat

public PixelFormat getPixelFormat()
Getter function for the pixel format of this VideoMode.

Returns:
  Current pixel format setting of this VideoMode.

### getResolutionX

public int getResolutionX()
Getter function for the X resolution of this VideoMode.

Returns:
  Current horizontal resolution of this VideoMode, in pixels.

### getResolutionY

public int getResolutionY()
Getter function for the Y resolution of this VideoMode.

Returns:
  Current vertical resolution of this VideoMode, in pixels.

### getFps

public int getFps()
Getter function for the frame rate of this VideoMode.

Returns:
  Current frame rate, measured in frames per second.

### setPixelFormat

public void setPixelFormat(PixelFormat format)
Setter function for the pixel format of this VideoMode. Application use of this function is not recommended. Instead, use `SensorInfo.getSupportedVideoModes()` to obtain a list of valid video modes.

Parameters:
  `format` - Desired new pixel format for this VideoMode.

### setResolution

public void setResolution(int resolutionX, int resolutionY)
Setter function for the resolution of this VideoMode. Application use of this function is not recommended. Instead, use `SensorInfo.getSupportedVideoModes()` to obtain a list of valid video modes.

Parameters:
  `resolutionX` - Desired new horizontal resolution in pixels.
  `resolutionY` - Desired new vertical resolution in pixels.

### setFps

public void setFps(int fps)
Setter function for the frame rate. Application use of this function is not recommended. Instead, use `SensorInfo.getSupportedVideoModes()` to obtain a list of valid video modes.

Parameters:
  `fps` - Desired new frame rate, measured in frames per second.